org.apache.commons.math.distribution

## Interface ChiSquaredDistribution

- All Superinterfaces:
    ContinuousDistribution, Distribution, HasDensity<Double>
  All Known Implementing Classes:
    ChiSquaredDistributionImpl

      public interface ChiSquaredDistribution
      extends ContinuousDistribution, HasDensity<Double>

  The Chi-Squared Distribution.

  References:

  - Chi-Squared Distribution
  Version:
    $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `density(Double x)` Return the probability density for a particular point.
    `double` | `getDegreesOfFreedom()` Access the degrees of freedom.
    `void` | `setDegreesOfFreedom(double degreesOfFreedom)` Deprecated. as of v2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution

      `inverseCumulativeProbability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### setDegreesOfFreedom

          @Deprecated
          void setDegreesOfFreedom(double degreesOfFreedom)

      Deprecated. as of v2.1
      Modify the degrees of freedom.
      Parameters:
        `degreesOfFreedom` - the new degrees of freedom.

    - #### getDegreesOfFreedom

          double getDegreesOfFreedom()

      Access the degrees of freedom.
      Returns:
        the degrees of freedom.

    - #### density

          double density(Double x)

      Return the probability density for a particular point.
      Specified by:
        `density` in interface `HasDensity<Double>`
      Parameters:
        `x` - The point at which the density should be computed.
      Returns:
        The pdf at point x.

Copyright (c) 2003-2013 Apache Software Foundation